%global momorel 8

Name:           perl-DBD-XBase
Version:        0.241
Release:        %{momorel}m%{?dist}
Summary:        DBI driver for XBase compatible database files
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBD-XBase/
Source0:        http://www.cpan.org/modules/by-module/DBD/DBD-XBase-%{version}.tar.gz
NoSource:       0
Patch0:         DBD-XBase-0.241-indexdump.PL.patch
Patch1:         DBD-XBase-0.241-dbfdump-rename.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
DBI compliant driver for module XBase. Please refer to DBI(3) documentation
for how to actually use the module. In the connect call, specify the
directory containing the dbf files (and other, memo, etc.) as the third
part of the connect string. It defaults to the current directory.

%prep
%setup -q -n DBD-XBase-%{version}
%patch0 -p1
%patch1 -p1
chmod a-x eg/*table

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes driver_characteristics new-XBase README ToDo
%doc eg/
%{_bindir}/*
%{perl_vendorlib}/DBD/*
%{perl_vendorlib}/XBase*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.241-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.241-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.241-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.241-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.241-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.241-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.241-2m)
- rebuild against gcc43

* Thu Aug 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.241-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
